Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
magic_comment Struct Reference

## Data Fields
const char * | name
rb_magic_comment_setter_t | func
rb_magic_comment_length_t | length

## Detailed Description

Definition at line 12255 of file ripper.c.

## Field Documentation

rb_magic_comment_setter_t magic_comment::func

Definition at line 12257 of file ripper.c.

Referenced by parser_magic_comment().

rb_magic_comment_length_t magic_comment::length

Definition at line 12258 of file ripper.c.

Referenced by parser_magic_comment().

const char * magic_comment::name

Definition at line 12256 of file ripper.c.

Referenced by parser_magic_comment().

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c